> For the complete documentation index, see [llms.txt](https://docs.finchagentic.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finchagentic.com/tools/memory-vault.md).

# Memory & vault tools

## Memory

| Tool                 | Purpose                       |
| -------------------- | ----------------------------- |
| `memory_add`         | Store a preference or fact    |
| `memory_search`      | Semantic search               |
| `memory_context`     | Topic-bundled context         |
| `memory_profile`     | Profile-shaped recall         |
| `memory_list`        | Enumerate                     |
| `memory_delete`      | Delete (confirm)              |
| `memory_insight`     | Derived insight               |
| `memory_extract`     | Pull memories from free text  |
| `memory_consolidate` | Merge/clean                   |
| `memory_publish`     | Public publish — irreversible |

### Example

```
User: remember I only trade Base blue chips under 2% impact
→ memory_add
→ later memory_search "risk rules" still finds it
```

## Chronicle

Time-ordered event log companion to memory/vault:

| Tool               | Purpose      |
| ------------------ | ------------ |
| `chronicle_add`    | Append event |
| `chronicle_list`   | List         |
| `chronicle_search` | Search       |
| `chronicle_stats`  | Stats        |

## Vault

| Tool                     | Purpose                       |
| ------------------------ | ----------------------------- |
| `vault_save`             | Create/update versioned entry |
| `vault_read`             | Read                          |
| `vault_list`             | List                          |
| `vault_search`           | Semantic / hybrid search      |
| `vault_history`          | Versions                      |
| `vault_diff`             | Diff two versions             |
| `vault_export`           | Export                        |
| `vault_pin`              | Pin for auto-context          |
| `vault_tag`              | Tag                           |
| `vault_link`             | Explicit edge                 |
| `vault_related`          | Related entries               |
| `vault_delete`           | Delete (confirm)              |
| `vault_unpublish`        | Unpublish                     |
| `vault_store_credential` | Encrypted secret write        |
| `vault_get_credential`   | Encrypted secret read         |

### Example

```
User: save bull/bear ETH thesis to vault
→ vault_save type=research key=research/eth-thesis
→ vault_history shows v1
→ vault_search "ethereum outlook" finds it without keyword overlap
```

## Local vs cloud

* Local vault directory: `~/.finch/vault/`
* Cloud vault requires session token
* Credentials always encrypted at rest in local vault mode

See product docs: [../memory.md](/memory.md), [../vault.md](/vault.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finchagentic.com/tools/memory-vault.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
